//
//  jalaliCalendarApp.h
//  jalaliCalendar
//
//  Created by Stefan on 05.01.05.
//  Copyright 2005 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface JalaliCalendarApp : NSObject {
	IBOutlet NSMenu       * theMenu;
	IBOutlet NSMenuItem   * dateItem;
	IBOutlet NSStatusItem * theItem;
	IBOutlet NSPanel      * aboutPanel;
	IBOutlet NSWindow     * theWindow;
	IBOutlet NSTextField  * theDay, * theMonth, * theYear;
	IBOutlet NSMenuItem   * monthFormat;
	
	NSDateFormatter   * dateFormatter;
	NSNumberFormatter * numberFormatter;
	NSArray           * daysOfWeek;
	
	BOOL monthAsNumber;
}

- (void) updateStatusItem;
- (void) activateStatusMenu;

-  (IBAction) showAbout: (id)sender;
-  (IBAction) visitHomePage: (id)sender;
-  (IBAction) launchConverter: (id)sender;
-  (IBAction) convertToJalali: (id)sender;
-  (IBAction) convertToGregorian: (id)sender;
-  (IBAction) changeMonthFormat: (id)sender;

@end
